﻿CREATE TABLE Show(
    [Id] BIGINT NOT NULL PRIMARY KEY,
    [Name] VARCHAR(255) NOT NULL
)

CREATE TABLE Person(
    [Id] BIGINT NOT NULL PRIMARY KEY,
    [Name] Varchar(255) NOT NULL ,
    [BirthDay] DATE NULL
)

CREATE TABLE ShowCast(
    ShowId BIGINT NOT NULL,
    PersonId BIGINT NOT NULL,
    FOREIGN KEY (ShowId) REFERENCES Show(Id),
    FOREIGN KEY (PersonId) REFERENCES Person(Id),
    CONSTRAINT PK_ShowCasts PRIMARY KEY (ShowId, PersonId)
)